function r = examples(title, e)

h = 80 * length(e) + 20 ;

dlg = dialog(...
   'position', [100 60 400 h], ...
   'name', [title ' EXAMPLES'], ...
   'numbertitle', 'off',...
   'menu', 'none', ...
   'resize', 'off',...
   'color', [.6 .8 1]) ;

for i = 1:length(e)
	uicontrol(dlg, ...
   	'position', [20 h+40 - 80*i 110 30], ...
      'callback', ...
      ['set(gcbf,''userdata'',' num2str(i) '); UIRESUME'], ...
   	'string', e(i).button) 
   uicontrol(dlg, ...
      'style', 'text', ...
      'backgroundcolor', [1 1 1], ...
      'horizontalalignment', 'left', ...
      'position', [20 h-2 - 80*i 300 40], ...
      'string', e(i).text) 
   uicontrol(dlg, ...
      'style', 'frame', ...
      'position', [20 h-6 - 80*i 300 1]) 
end

uicontrol(dlg, ...
   'position', [325 10 70 30], ...
   'string', 'Cancel', ...
   'callback', 'set(gcbf,''userdata'',0); UIRESUME') 

UIWAIT (dlg) 
r = get(dlg, 'userdata') ;

delete (dlg) 